*{
    padding: 0;
    margin: 0;
}
body{
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background: #f2f2f2;
}
.container{
    max-width: 500px;
    background: #fff;
    padding: 20px;
    margin: 50px auto;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
h1{
    text-align: center;
    margin-bottom: 20px;
}
.input-container{
    display: flex;
    margin-bottom: 20px;
}
#noteInput{
    flex: 1;
    padding: 15px;
    border: 1px solid #ccc;
    outline: none;
    resize: none;
    border-radius: 5px;
}
button{
    padding: 10px 20px;
    background-color: #007bff;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-left: 10px;
    transition: background-coloe 0.3s ease;
}
button:hover{
    background-color: #0056b3;
}
ul{
    list-style-type: none;
    padding: 0;
}
li{
    background-color: #f9f9f9;
    padding: 10px;
    border: 1px solid black;
    border-radius: 7px;
    margin-top: 18px;
    position: relative;
}
.delete-button{
    position: absolute;
    top: 18px;
    right: 10px;
    padding: 5px 10px;
    background-color: #dc3545;
    color: #fff;
    border: none;
    border-radius: 3px;
    cursor: pointer;
}
.delete-button:hover{
    background-color: #c82333;
}
.note-content{
    font-size: 15px;
    font-family: monospace;
    font-style: italic;
}
.note-date-time{
    font-size: 12px;
    color: #888;
    margin-top: 5px;
}